Product comparison · 2 ip phones

Yealink SIP T42U vs Yealink VP59 IP phone Black, Grey LCD Wi-Fi

Add a product
  • 24specifications compared
  • 10differ
  • 14identical
  • 61known for one product only

Key differences

The Yealink VP59 IP phone Black, Grey LCD Wi-Fi has 4 more VoIP accounts than the Yealink SIP T42U (16 vs 12). The Yealink SIP T42U has 1 more USB 2.0 ports quantity than the Yealink VP59 IP phone Black, Grey LCD Wi-Fi (2 vs 1). Only the Yealink VP59 IP phone Black, Grey LCD Wi-Fi has integrated voicemail. Handset type: Wireless handset on the Yealink SIP T42U, Wired handset on the Yealink VP59 IP phone Black, Grey LCD Wi-Fi. Product colour: Grey on the Yealink SIP T42U, Black, Grey on the Yealink VP59 IP phone Black, Grey LCD Wi-Fi.

  • Handset type
    • SIP T42U:Wireless handset
    • VP59 IP phone Black, Grey LCD Wi-Fi:Wired handset
  • Product colour
    • SIP T42U:Grey
    • VP59 IP phone Black, Grey LCD Wi-Fi:Black, Grey
  • Number of VoIP accounts
    • SIP T42U:12
    • VP59 IP phone Black, Grey LCD Wi-Fi:16
  • Integrated voicemail
    • SIP T42U:No
    • VP59 IP phone Black, Grey LCD Wi-Fi:Yes
  • Display diagonal
    • SIP T42U:6.86 cm (2.7")
    • VP59 IP phone Black, Grey LCD Wi-Fi:20.3 cm (8")
  • Display resolution
    • SIP T42U:192 x 68 pixels
    • VP59 IP phone Black, Grey LCD Wi-Fi:1280 x 800 pixels
  • USB 2.0 ports quantity
    • SIP T42U:2
    • VP59 IP phone Black, Grey LCD Wi-Fi:1

Side by side

Differences highlightedShow differences only (off)
Comparison of SIP T42U, VP59
85 specifications
Design2 differ
Product typeIP PhoneIP Phone
Handset typeDiffersWireless handsetWired handset
Product colourDiffersGreyBlack, Grey
Device lockKnown for oneYesUnknown — not stated by the source
MountingKnown for oneDesk/WallUnknown — not stated by the source
Wall mountableKnown for oneYesUnknown — not stated by the source
Phone features1 differ
Anonymous callKnown for oneYesUnknown — not stated by the source
Anonymous call rejectionKnown for oneYesUnknown — not stated by the source
Call forwardingYesYes
Call historyKnown for oneYesUnknown — not stated by the source
Call holdYesYes
Call parkKnown for oneYesUnknown — not stated by the source
Call pick upKnown for oneYesUnknown — not stated by the source
Call transferYesYes
Call waitingYesYes
Caller IDKnown for oneYesUnknown — not stated by the source
Conference callKnown for oneYesUnknown — not stated by the source
Direct callKnown for oneYesUnknown — not stated by the source
Distinctive ringKnown for oneYesUnknown — not stated by the source
Do not disturb functionKnown for oneYesUnknown — not stated by the source
Full duplexYesYes
Number of VoIP accountsDiffers1216
Phonebook capacityKnown for one1000 entriesUnknown — not stated by the source
RedialingKnown for oneYesUnknown — not stated by the source
Speed diallingKnown for oneYesUnknown — not stated by the source
Message-waiting indicator (MWI)Known for oneUnknown — not stated by the sourceYes
Management features1 differ
Integrated voicemailDiffersNoYes
Number of function keysKnown for one5Unknown — not stated by the source
Number of programmable keysKnown for one6Unknown — not stated by the source
Plug and PlayKnown for oneUnknown — not stated by the sourceYes
Display2 differ
DisplayLCDLCD
Display diagonalDiffers6.86 cm (2.7")20.3 cm (8")
Display resolutionDiffers192 x 68 pixels1280 x 800 pixels
TouchscreenKnown for oneUnknown — not stated by the sourceYes
Touchscreen typeKnown for oneUnknown — not stated by the sourceCapacitive
Number of simultaneous touchpointsKnown for oneUnknown — not stated by the source10
Backlight displayKnown for oneUnknown — not stated by the sourceYes
Cameraidentical
Rear cameraKnown for oneYesUnknown — not stated by the source
Front cameraKnown for oneUnknown — not stated by the sourceYes
Front camera resolution (numeric)Known for oneUnknown — not stated by the source2 MP
Network3 differ
Ethernet LANYesYes
Ethernet LAN interface typeGigabit EthernetGigabit Ethernet
Wi-FiYesYes
BluetoothYesYes
Networking standardsDiffersIEEE 802.11a, IEEE 802.11b, IEEE 802.11g, IEEE 802.11n, IEEE 802.1x, IEEE 802.3afIEEE 802.11a, IEEE 802.11ac, IEEE 802.11b, IEEE 802.11g, IEEE 802.11n, IEEE 802.1x, IEEE 802.3af
Quality of Service (QoS) supportKnown for oneYesUnknown — not stated by the source
Security algorithmsDiffers256-bit AES, HTTPS, TLS, WPA2, WPA3HTTPS, MD5, SSL/TLS
Supported network protocolsDiffersIPv4/IPv6, SIP v1 (RFC2543), v2 (RFC3261), UDP/TCP/DNS-SRV (RFC 3263)IPv4/IPv6, HTTP/HTTPS, SNTP
Wi-Fi standardsKnown for oneUnknown — not stated by the source802.11a, 802.11ad, 802.11b, 802.11g, Wi-Fi 4 (802.11n), Wi-Fi 5 (802.11ac), Wi-Fi 6 (802.11ax)
Bluetooth versionKnown for oneUnknown — not stated by the source4.2
Ports & interfaces1 differ
USB 2.0 ports quantityDiffers21
Ethernet LAN (RJ-45) ports22
RJ-9 ports quantity22
Cable lock slotKnown for oneUnknown — not stated by the sourceYes
HDMI ports quantityKnown for oneUnknown — not stated by the source1
Poweridentical
Power consumption (typical)Known for one2.2 WUnknown — not stated by the source
Power over Ethernet (PoE)Known for oneUnknown — not stated by the sourceYes
AC adapter input voltageKnown for oneUnknown — not stated by the source100 - 240 V
AC adapter output voltageKnown for oneUnknown — not stated by the source12 V
AC adapter output currentKnown for oneUnknown — not stated by the source1 A
Operational conditionsidentical
Operating relative humidity (H-H)Known for one10 - 95%Unknown — not stated by the source
Operating temperature (T-T)Known for one-10 - 50 °CUnknown — not stated by the source
Weight & dimensionsidentical
WidthKnown for one212 mmUnknown — not stated by the source
DepthKnown for one189 mmUnknown — not stated by the source
HeightKnown for one175 mmUnknown — not stated by the source
Package widthKnown for one627 mmUnknown — not stated by the source
Package depthKnown for one256 mmUnknown — not stated by the source
Package heightKnown for one235 mmUnknown — not stated by the source
Package weightKnown for one63 kgUnknown — not stated by the source
Packaging contentidentical
AC adapter includedKnown for oneNoUnknown — not stated by the source
Number of handles included1 pc(s)1 pc(s)
Cables includedKnown for oneUnknown — not stated by the sourceLAN (RJ-45)
HandsetKnown for oneUnknown — not stated by the sourceYes
ManualKnown for oneUnknown — not stated by the sourceYes
Quick start guideKnown for oneUnknown — not stated by the sourceYes
Stand includedKnown for oneUnknown — not stated by the sourceYes
Performanceidentical
Operating system installedKnown for oneUnknown — not stated by the sourceAndroid
Operating system versionKnown for oneUnknown — not stated by the source7.1
Audioidentical
SpeakerphoneKnown for oneUnknown — not stated by the sourceYes
Automatic gain controlKnown for oneUnknown — not stated by the sourceYes
Noise reductionKnown for oneUnknown — not stated by the sourceYes
Packet loss concealment (PLC)Known for oneUnknown — not stated by the sourceYes
Voice activity detectionKnown for oneUnknown — not stated by the sourceYes
Voice codecsKnown for oneUnknown — not stated by the sourceG.711a, G.711u, G.723.1, G.726, G.729A, G.729B, iLBC
Videoidentical
Video callKnown for oneUnknown — not stated by the sourceYes

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More ip phone comparisons

All ip phone comparisons